Draft: Poligono

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Polygon and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Ellipse.svg Ellisse Pagina precedente:
Pagina successiva: Rettangolo Draft Rectangle.svg Arrow-right.svg

Draft Polygon.svg Poligono

Posizione nel menu
Draft → Poligono
Ambiente
Draft, Architettura
Avvio veloce
P G
Introdotto nella versione
0.7
Vedere anche
Cerchio


Descrizione

Lo strumento Poligono crea un poligono regolare inscritto in una circonferenza selezionando due punti, il centro e il raggio. Il poligono assume il tipo di linea e il colore impostati nel Vassoio di Draft.

Draft polygon example.jpg

Poligono regolare definito dal punto centrale e dal raggio


Utilizzo

  1. Premere il pulsante Draft Polygon.png Poligono, o premere i tasti P e poi G.
  2. Definire il numero di lati desiderato nella finestra di dialogo delle opzioni.
  3. Selezionare un primo punto nella vista 3D per stabilire il centro, oppure digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg Inserisci punto.
  4. Fare clic su un altro punto nella vista 3D o digitare un valore di raggio per definire il raggio del poligono.

Il poligono può essere modificato facendo doppio clic sull'elemento nella vista ad albero o premendo il pulsante Draft Edit.svg Modifica. Quindi si può spostare il il centro e il raggio in una nuova posizione.

Il poligono viene creato inscritto in un cerchio di raggio specificato; dopo la creazione può essere convertito in circoscritto cambiando la proprietà della sua modalità di disegno.

Dopo la creazione può anche essere cambiato il numero di lati del poligono cambiando la sua proprietà numero facce.

Opzioni

  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio per ciascun componente X, Y e Z. È possibile premere il pulsante Draft AddPoint.svg Inserisci punto quando si hanno i valori desiderati per inserire il punto.
  • Premere il tasto T oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Poligono si riavvia dopo aver terminato la forma in costruzione, e consente di disegnare un nuovo poligono senza premere nuovamente il pulsante dello strumento.
  • Premere il tasto L oppure fare clic sulla casella di controllo per attivare la modalità riempito. Se la modalità di riempimento è attiva, il poligono crea una faccia piena (DATAMake Face True); in caso contrario, il poligono non crea una faccia (DATAMake Face False).
  • Tenere premuto Ctrl mentre si disegna per forzare l'aggancio del proprio punto alla posizione di aggancio più vicina, indipendentemente dalla distanza.
  • Tenere premuto Maiusc mentre si disegna per vincolare il prossimo punto in orizzontale o in verticale rispetto all'ultimo.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente.

Proprietà

Dati

  • DATARadius: specifica il raggio del cerchio che definisce il poligono.
  • DATADraw Mode: specifica se il poligono è inscritto in un cerchio o circoscritto attorno a un cerchio.
  • DATAFaces Number: specifica il numero di lati del poligono.
  • DATAChamfer Size: specifica la dimensione degli smussi (segmenti retti) creati agli angoli del poligono.
  • DATAFillet Radius: specifica il raggio dei raccordi (segmenti di arco) creati agli angoli del poligono.
  • DATAMake Face: specifica se la forma è una faccia o no. Se è True viene creata una faccia, altrimenti solo il perimetro è considerato parte dell'oggetto.

Vista

  • VIEWPattern: specifica un Modello con cui riempire la faccia del poligono. Questa proprietà funziona solo se DATAMake Face è True, e se VIEWDisplay Mode è "Flat Lines".
  • VIEWPattern Size: specifica la dimensione del Modello.

Script

Vedere anche: Draft API e Nozioni di base sugli script di FreeCAD.

Lo strumento Poligono può essere usato nelle macro e dalla console Python utilizzando la seguente funzione:

Polygon = makePolygon(nfaces, radius=1, inscribed=True, placement=None, face=None, support=None)
  • Crea un oggetto Polygon con il dato numero di lati (nfaces), e basato su un cerchio di radius in millimettri.
  • Se inscribed è True, il poligono è inscritto nel cerchio, altrimenti è circoscritto.
    • Uno dei vertici del poligono giace sull'asse X se non viene assegnato nessun altro posizionamento.
  • Se è dato un placement, esso viene usato; altrimenti la forma viene creata all'origine.
  • Se face è True, la forma crea una faccia, cioè appare riempita.

Esempio:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(4, radius=500)
Polygon2 = Draft.makePolygon(5, radius=750)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Polygon3 = Draft.makePolygon(6, radius=1450, placement=place3)
Arrow-left.svg Draft Ellipse.svg Ellisse Pagina precedente:
Pagina successiva: Rettangolo Draft Rectangle.svg Arrow-right.svg